## org.flexdock.docking.adapter
Class AdapterMapping

    java.lang.Object
      org.flexdock.docking.adapter.AdapterMapping

    public class AdapterMapping

extends java.lang.Object

This POJO contains values for an adapted components dockable requirements.

Author:
  Christopher Butler

Constructor Summary
`AdapterMapping()`

Method Summary
`java.lang.String` `getClassName()`
`java.lang.String` `getDockbarIcon()`
`java.lang.String` `getDragSource()`
`java.lang.String` `getDragSourceList()`
`java.lang.String` `getFrameDragSource()`
`java.lang.String` `getFrameDragSourceList()`
`java.lang.String` `getPersistentId()`
`java.lang.String` `getTabText()`
`void` `setClassName(java.lang.String className)`
`void` `setDockbarIcon(java.lang.String dockbarIcon)`
`void` `setDragSource(java.lang.String dragSource)`
`void` `setDragSourceList(java.lang.String dragSourceList)`
`void` `setFrameDragSource(java.lang.String frameDragSource)`
`void` `setFrameDragSourceList(java.lang.String frameDragSourceList)`
`void` `setPersistentId(java.lang.String persistentId)`
`void` `setTabText(java.lang.String tabText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterMapping

    public AdapterMapping()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getDockbarIcon

    public java.lang.String getDockbarIcon()

### setDockbarIcon

    public void setDockbarIcon(java.lang.String dockbarIcon)

### getDragSource

    public java.lang.String getDragSource()

### setDragSource

    public void setDragSource(java.lang.String dragSource)

### getDragSourceList

    public java.lang.String getDragSourceList()

### setDragSourceList

    public void setDragSourceList(java.lang.String dragSourceList)

### getFrameDragSource

    public java.lang.String getFrameDragSource()

### setFrameDragSource

    public void setFrameDragSource(java.lang.String frameDragSource)

### getFrameDragSourceList

    public java.lang.String getFrameDragSourceList()

### setFrameDragSourceList

    public void setFrameDragSourceList(java.lang.String frameDragSourceList)

### getPersistentId

    public java.lang.String getPersistentId()

### setPersistentId

    public void setPersistentId(java.lang.String persistentId)

### getTabText

    public java.lang.String getTabText()

### setTabText

    public void setTabText(java.lang.String tabText)